# DO NOT DELETE: Beginning of Haskell dependencies
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Shape.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Shape._o : libraries/hoopl/src/Compiler/Hoopl/Shape.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Shape.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Shape._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Shape.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Shape.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Shape._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._o : libraries/hoopl/src/Compiler/Hoopl/Checkpoint.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Checkpoint.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._o : libraries/hoopl/src/Compiler/Hoopl/Collections.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Collections.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.o : /usr/lib/ghc/base-4.5.0.0/Data/List.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._o : /usr/lib/ghc/base-4.5.0.0/Data/List._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : libraries/hoopl/src/Compiler/Hoopl/Unique.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Unique.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : /usr/lib/ghc/containers-0.4.2.1/Data/IntSet.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : /usr/lib/ghc/containers-0.4.2.1/Data/IntSet._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : /usr/lib/ghc/containers-0.4.2.1/Data/IntMap.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : /usr/lib/ghc/containers-0.4.2.1/Data/IntMap._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._o : libraries/hoopl/src/Compiler/Hoopl/Label.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Label.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._o : libraries/hoopl/src/Compiler/Hoopl/Fuel.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Fuel.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._o : libraries/hoopl/src/Compiler/Hoopl/Block.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Block.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : libraries/hoopl/src/Compiler/Hoopl/Graph.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Graph.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : /usr/lib/ghc/base-4.5.0.0/Control/Applicative._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : libraries/hoopl/src/Compiler/Hoopl/MkGraph.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/MkGraph.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/src/Compiler/Hoopl/Dataflow.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Dataflow.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/src/Compiler/Hoopl/XUtil.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/XUtil.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.o : /usr/lib/ghc/containers-0.4.2.1/Data/Map.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._o : /usr/lib/ghc/containers-0.4.2.1/Data/Map._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._o : libraries/hoopl/src/Compiler/Hoopl/Pointed.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Pointed.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers._o : libraries/hoopl/src/Compiler/Hoopl/Wrappers.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Wrappers.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Wrappers._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/src/Compiler/Hoopl/Combinators.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Combinators.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.o : /usr/lib/ghc/base-4.5.0.0/Control/Monad.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._o : /usr/lib/ghc/base-4.5.0.0/Control/Monad._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._o : libraries/hoopl/src/Compiler/Hoopl/Show.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Show.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug._o : libraries/hoopl/src/Compiler/Hoopl/Debug.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Debug.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._o : libraries/hoopl/src/Compiler/Hoopl/Internals.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Internals.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Internals._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/src/Compiler/Hoopl.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/XUtil._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Unique._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Show._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Pointed._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/MkGraph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Label._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Graph._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Block._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Fuel._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Debug._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Dataflow._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Combinators._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Collections._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl/Checkpoint._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator._o : libraries/hoopl/src/Compiler/Hoopl/Passes/Dominator.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Passes/Dominator.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator.o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/Dominator._o : /usr/lib/ghc/base-4.5.0.0/Data/Maybe._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList.o libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList._o : libraries/hoopl/src/Compiler/Hoopl/Passes/DList.hs
$(eval $(call hi-rule,libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList.hi libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList._hi  : %hi: %o  libraries/hoopl/src/Compiler/Hoopl/Passes/DList.hs))
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList.o : /usr/lib/ghc/base-4.5.0.0/Prelude.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList._o : /usr/lib/ghc/base-4.5.0.0/Prelude._hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList.o : libraries/hoopl/dist-boot/build/Compiler/Hoopl.hi
libraries/hoopl/dist-boot/build/Compiler/Hoopl/Passes/DList._o : libraries/hoopl/dist-boot/build/Compiler/Hoopl._hi
# DO NOT DELETE: End of Haskell dependencies
libraries/hoopl_dist-boot_depfile_haskell_EXISTS = YES
